Summary:	XprintAppUtil library
Summary(pl.UTF-8):	Biblioteka XprintAppUtil
Name:		xorg-lib-libXprintAppUtil
Version:	1.0.1
Release:	8
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXprintAppUtil-%{version}.tar.bz2
# Source0-md5:	d2de510570aa6714681109b2ba178365
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xorg-lib-libXp-devel
BuildRequires:	xorg-lib-libXprintUtil-devel
BuildRequires:	xorg-proto-printproto-devel
BuildRequires:	xorg-util-util-macros
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XprintAppUtil library.

%description -l pl.UTF-8
Biblioteka XprintAppUtil.

%package devel
Summary:	Header files for libXprintAppUtil library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXprintAppUtil
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXp-devel
Requires:	xorg-lib-libXprintUtil-devel
Requires:	xorg-proto-xproto-devel

%description devel
XprintAppUtil library.

This package contains the header files needed to develop programs that
use libXprintAppUtil.

%description devel -l pl.UTF-8
Biblioteka XprintAppUtil.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXprintAppUtil.

%package static
Summary:	Static libXprintAppUtil library
Summary(pl.UTF-8):	Biblioteka statyczna libXprintAppUtil
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
XprintAppUtil library.

This package contains the static libXprintAppUtil library.

%description static -l pl.UTF-8
Biblioteka XprintAppUtil.

Pakiet zawiera statyczną bibliotekę libXprintAppUtil.

%prep
%setup -q -n libXprintAppUtil-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libXprintAppUtil.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/libXprintAppUtil.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXprintAppUtil.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXprintAppUtil.so
%dir %{_includedir}/X11/XprintAppUtil
%{_includedir}/X11/XprintAppUtil/*.h
%{_pkgconfigdir}/xprintapputil.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXprintAppUtil.a
%changelog
* Wed Aug 26 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXprintAppUtil.git;a=log;h=master

* Wed Aug 26 2020 Jakub Bogusz <qboosh@pld-linux.org> 042a5f5
- drop .la file, completed dependencies; release 8

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 463316b
- x32 rebuild
- release 7 (by relup.sh)

* Fri Jan 03 2014 Elan Ruusamäe <glen@delfi.ee> 7a320c6
- track soname

* Fri Jan 03 2014 Witold Filipczyk <witekfl@poczta.onet.pl> bb65b7e
- ghost symlink

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 63d09c5
- dropped pre-cvs changelog

* Thu Nov 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a5d6f0
- release 5

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 50e5878
- release 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 36f9d8e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> edb3488
- converted to UTF-8

* Sat Nov 25 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 833ac24
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 63627f4
- rebuild

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 211fbde
- use individual dir, release 1

* Wed Dec 28 2005 Jakub Bogusz <qboosh@pld-linux.org> f21f7d0
- 1.0.1 (X11R7.0 release)

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> af4d2d6
- 1.0.0 (X11R7.0-RC4)

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> 76f813a
- -devel desc fixes

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> 71297a8
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> cab44ed
- pkgconfig epoch

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> d1f289c
- own /usr/include/X11/XprintAppUtil dir

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 8989ecc
- 0.99.1 (X11R7.0-RC1)

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 8bf80cc
- kill /usr/X11R6

